import { ITerminalGameIo, KeyName } from 'terminal-game-io';
import * as fromGame from './game';
export interface IAsciiRunnerOptions {
    createStoreOptions?: fromGame.ICreateStoreOptions;
    domElementId?: string;
}
export declare class AsciiRunner {
    protected terminalGameIo: ITerminalGameIo;
    protected store: fromGame.Store;
    constructor(options?: IAsciiRunnerOptions);
    triggerKeypress(keyName: string): void;
    protected initializeStore(options: IAsciiRunnerOptions): void;
    protected initializeTerminalGameIo(options: IAsciiRunnerOptions): void;
    protected frameHandler(instance: ITerminalGameIo): void;
    protected keypressHandler(instance: ITerminalGameIo, keyName: KeyName): void;
}
